Package edu.msu.cme.rdp.classifier.train.validation

# Class Taxonomy

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.Taxonomy

public class Taxonomy extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`GENUS`

## Constructor Summary

Constructors
Constructor
Description
`Taxonomy(int id, String name, int pid, int depth, String level)`
Creates a new instance of Taxonomy

## Method Summary

Modifier and Type
Method
Description
`int`
`getDepth()`
`String`
`getHierLevel()`
`String`
`getLineage()`
`String`
`getName()`
`int`
`getParentID()`
`int`
`getTaxID()`
`void`
`setDepth(int d)`
`void`
`setLineage(String l)`
`void`
`setParentID(int p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GENUS

public static final String GENUS

See Also:
  - Constant Field Values

## Constructor Details

### Taxonomy

public Taxonomy(int id, String name, int pid, int depth, String level)
Creates a new instance of Taxonomy

## Method Details

### getTaxID

public int getTaxID()

### getParentID

public int getParentID()

### setParentID

public void setParentID(int p)

### getDepth

public int getDepth()

### setDepth

public void setDepth(int d)

### getHierLevel

public String getHierLevel()

### getName

public String getName()

### getLineage

public String getLineage()

### setLineage

public void setLineage(String l)